GET/cosmos/gov/v1/proposals/{proposal_id}/deposits/{depositor}

https://rest-celestia-mainnet.nodit.io/cosmos/gov/v1/proposals/string/deposits/string

Deposit queries single deposit information based on proposalID, depositAddr.

Path Parameters
proposal_idstring (uint64)required

proposal_id is the unique id of a proposal.

depositorstringrequired

depositor defines the deposit addresses from the proposals.

Responses
proposal_idstring (uint64)

proposal_id is the unique id of a proposal.

depositorstring

depositor defines the deposit addresses from the proposals.

amountobject[]

amount to be deposited by depositor.

denomstring

Token denomination.

amountstring

Amount, as an integer string in the smallest unit.

X-API-KEY
RequestCU15
cURL
curl -X GET "https://rest-celestia-mainnet.nodit.io/cosmos/gov/v1/proposals/string/deposits/string" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "deposit": {
    "proposal_id": "string",
    "depositor": "string",
    "amount": [
      {
        "denom": "string",
        "amount": "string"
      }
    ]
  }
}